> ## Documentation Index
> Fetch the complete documentation index at: https://docs.agentscope.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List all candidate TTS models under the given credential type

> Return all candidate TTS models under the given credential type.

Args:
    body (ListTTSModelsRequest): The request body.

Returns:
    `ListTTSModelsResponse`: The response body.



## OpenAPI

````yaml /versions/2.0.4dev/en/deploy/openapi.json get /tts-model/
openapi: 3.1.0
info:
  title: AgentScope
  version: 2.0.3
servers: []
security: []
paths:
  /tts-model/:
    get:
      tags:
        - tts-model
      summary: List all candidate TTS models under the given credential type
      description: |-
        Return all candidate TTS models under the given credential type.

        Args:
            body (ListTTSModelsRequest): The request body.

        Returns:
            `ListTTSModelsResponse`: The response body.
      operationId: list_tts_models_tts_model__get
      parameters:
        - name: provider
          in: query
          required: true
          schema:
            type: string
            title: Provider
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListTTSModelsResponse'
        '404':
          description: Not found
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    ListTTSModelsResponse:
      properties:
        models:
          items:
            $ref: '#/components/schemas/TTSModelCard'
          type: array
          title: Models
          description: The candidate TTS models.
        total:
          type: integer
          title: Total
          description: The total number of candidates.
      type: object
      required:
        - models
        - total
      title: ListTTSModelsResponse
      description: List the candidate TTS models response.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    TTSModelCard:
      properties:
        type:
          type: string
          const: tts_model
          title: Type
          default: tts_model
        name:
          type: string
          title: Name
          description: The name of the TTS model
        label:
          type: string
          title: Label
          description: The model label.
        status:
          type: string
          enum:
            - active
            - deprecated
            - sunset
          title: Status
          description: The model status
          default: active
        deprecated_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Deprecation date
          description: The model deprecation date and time.
        input_types:
          items:
            type: string
          type: array
          title: Input types
          description: The supported model input types.
          default:
            - text/plain
        output_types:
          items:
            type: string
          type: array
          title: Output types
          description: The supported model output types.
          default:
            - audio/wav
        realtime:
          type: boolean
          title: Realtime
          description: Whether the model supports streaming input (realtime).
          default: false
        parameter_schema:
          additionalProperties: true
          type: object
          title: Parameter Schema
        parameters_overrides:
          additionalProperties:
            additionalProperties: true
            type: object
          type: object
          title: Parameters Overrides
      type: object
      required:
        - name
        - label
        - parameter_schema
        - parameters_overrides
      title: TTSModelCard
      description: The model card class for TTS models.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````